#if !defined(AFX_VAXTELECONFIGDLG_H__ACF728D0_0986_4807_8B56_EF9281153811__INCLUDED_)
#define AFX_VAXTELECONFIGDLG_H__ACF728D0_0986_4807_8B56_EF9281153811__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VaxTeleConfigDlg.h : header file
//

#include "MySheet.h"

class CAddLoginDlg;
class CGeneralDlg;
class CAddLineDlg;
class CAddQueueDlg;
class CTelnetClient;
class CAddDialplanDlg;

class CErrorLogDlg;
class CStatusLogDlg;

/////////////////////////////////////////////////////////////////////////////
// CVaxTeleConfigDlg

class CVaxTeleConfigDlg : public CMySheet
{
	DECLARE_DYNAMIC(CVaxTeleConfigDlg)

// Construction
public:
	CVaxTeleConfigDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CVaxTeleConfigDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

	static CVaxTeleConfigDlg* m_pVaxTeleConfigDlg;

	CAddLoginDlg*	  m_pAddLoginDlg;
	CGeneralDlg*	  m_pGeneralDlg;
	CAddLineDlg*	  m_pAddLineDlg;
	CAddQueueDlg*	  m_pAddQueueDlg;
	CAddDialplanDlg*  m_pAddDialplanDlg;
	CErrorLogDlg*     m_pErrorLogDlg;
	CStatusLogDlg*	  m_pStatusLogDlg;

	CTelnetClient* m_pTelnetClient;

// Operations
public:

	void ParseToStringList(CString objString, CStringList* pStringList);

	void OnTelnetCommand(LPCTSTR sCommand, CStringList* pParamList);
	void SendCommand(LPCTSTR sCommand, CStringList* pParamList);

public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVaxTeleConfigDlg)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVaxTeleConfigDlg();

	// Generated message map functions
protected:
	HICON m_hIcon;

	//{{AFX_MSG(CVaxTeleConfigDlg)
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VAXTELECONFIGDLG_H__ACF728D0_0986_4807_8B56_EF9281153811__INCLUDED_)
