// UserList.h: interface for the CUserList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_USERLIST_H__22347AE6_6DB7_4A0D_AF4B_07AA81977886__INCLUDED_)
#define AFX_USERLIST_H__22347AE6_6DB7_4A0D_AF4B_07AA81977886__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include <afxtempl.h>  add it in stdAfx.h

class CUserData
{

public:

	CUserData(){m_lCallCount = 0; m_lUserId = 0; m_bStealthListener = FALSE; m_bBlock = FALSE;}

	long m_lCallCount;
	ULONG m_lUserId;

	BOOL m_bStealthListener;
	CString m_sCodecList;
	CString m_sUserId;

	BOOL m_bBlock;
};

typedef CMap<ULONG, ULONG, CUserData*, CUserData*> CMapUserULongToPtr;
typedef CMap<CString, LPCTSTR, CUserData*, CUserData*> CMapUserStrToPtr;

class CLoginReg;

class CUserList  
{
public:
	
	CUserList();
	~CUserList();

private:

	ULONG m_lUserIdCount;

	CMapUserStrToPtr* m_pUserListTEXT;
	CMapUserULongToPtr* m_pUserListINT;

	ULONG ChooseUserId();
	
	void Add(CString sUserId, BOOL bStealthListener, LPCTSTR sCodecList, BOOL bBlock);
	void Remove(CString sUserId);
	
public:

	CUserData* FindUser(ULONG lUserId);
	CUserData* FindUser(CString sUserId);

	BOOL AddUser(LPCTSTR sUserId, LPCTSTR sUserPwd, BOOL bStealthListener, LPCTSTR sCodecList, BOOL bBlock);
	void RemoveUser(CString sUserId);
		
	void DeleteAll();

	DWORD GetCount();
	int GetCallCount(CString sUserId);

};

#endif // !defined(AFX_USERLIST_H__22347AE6_6DB7_4A0D_AF4B_07AA81977886__INCLUDED_)
