#include "StdAfx.h"
#include "Codec.h"

using namespace System;

cCodec::cCodec(void)
{
}

String^ cCodec::GetCodecNo(String^ sCodecName)
{
	array<String^>^ objCodeList = gcnew array<String^> {G610_TEXT, ILBC_TEXT, G711A_TEXT, G711U_TEXT, G729_TEXT };

	int nCodeNo = Array::IndexOf(objCodeList, sCodecName);

    String^ sCodecNo = gcnew String("");

    if (nCodeNo != -1)
		sCodecNo = Convert::ToString(nCodeNo);

	return sCodecNo;
}

String^ cCodec::GetCodecName(String^ sCodecNo)
{
    String^ sCodecName = gcnew String("");

	int nCodecNo = Convert::ToInt32(sCodecNo);

    switch (nCodecNo)
    {
		case VAX_CODEC_G711U:
            sCodecName = G711U_TEXT;
            break;

        case VAX_CODEC_G711A:
            sCodecName = G711A_TEXT;
            break;

        case VAX_CODEC_ILBC:
            sCodecName = ILBC_TEXT;
            break;

        case VAX_CODEC_GSM610:
            sCodecName = G610_TEXT;
            break;

        case VAX_CODEC_G729:
            sCodecName = G729_TEXT;
            break;
    }

    return sCodecName;
}