#include "StdAfx.h"
#include "LineList.h"
#include "LineRegisterEvent.h"
#include "ServerSIP.h"

cLineRegisterEvent::cLineRegisterEvent(void)
{
}

void cLineRegisterEvent::OnLineRegisterTrying(int nLineId)
{
	cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);

    if(objLineData != nullptr)
		cServerSIP::m_objServerSIP->LogStatus("Trying to register Line Name = " + objLineData->m_sLineName);
}

void cLineRegisterEvent::OnLineRegisterFail(int nLineId, int nStatusCode, String^ sReasonPhrase)
{
	cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);
    
    if (objLineData != nullptr)
		cServerSIP::m_objServerSIP->LogStatus("Fail to register Line Name = " + objLineData->m_sLineName);
}

void cLineRegisterEvent::OnLineRegisterSuccess(int nLineId)
{
    cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);

    if (objLineData != nullptr)
        cServerSIP::m_objServerSIP->LogStatus("Success to register Line Name = " + objLineData->m_sLineName);
}

void cLineRegisterEvent::OnLineUnRegisterTrying(int nLineId)
{
    cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);
    
    if (objLineData != nullptr)
        cServerSIP::m_objServerSIP->LogStatus("Trying to unregister Line Name = " + objLineData->m_sLineName);
}

void cLineRegisterEvent::OnLineUnRegisterFail(int nLineId, int nStatusCode, String^ sReasonPhrase)
{
    cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);
    
    if (objLineData != nullptr)
        cServerSIP::m_objServerSIP->LogStatus("Fail to unregister Line Name = " + objLineData->m_sLineName);
}

void cLineRegisterEvent::OnLineUnRegisterSuccess(int nLineId)
{
    cLineData^ objLineData = cServerSIP::m_objServerSIP->m_objLineList->FindLine(nLineId);
    
    if (objLineData != nullptr)
        cServerSIP::m_objServerSIP->LogStatus("Success to unregister Line Name = " + objLineData->m_sLineName);
}