using System;
using System.Collections.Generic;
using System.Text;
using VAXTELESERVERSIPLib;

class cVaxTeleCOM
{
    private VaxTeleSIP m_objVaxTeleCOM = new VaxTeleSIP();

    public cVaxTeleCOM()
    {
        m_objVaxTeleCOM.OnClientUnRegister += new _IVaxTeleSIPEvents_OnClientUnRegisterEventHandler(OnClientUnRegister);
        m_objVaxTeleCOM.OnClientRegister += new _IVaxTeleSIPEvents_OnClientRegisterEventHandler(OnClientRegister);
        m_objVaxTeleCOM.OnClientRegisterSuccess +=new _IVaxTeleSIPEvents_OnClientRegisterSuccessEventHandler(OnClientRegisterSuccess);
	    m_objVaxTeleCOM.OnClientRegisterFail += new _IVaxTeleSIPEvents_OnClientRegisterFailEventHandler(OnClientRegisterFail);
	    m_objVaxTeleCOM.OnLineRegisterTrying += new _IVaxTeleSIPEvents_OnLineRegisterTryingEventHandler(OnLineRegisterTrying);
	    m_objVaxTeleCOM.OnLineRegisterFail += new _IVaxTeleSIPEvents_OnLineRegisterFailEventHandler(OnLineRegisterFail);
	    m_objVaxTeleCOM.OnLineRegisterSuccess += new _IVaxTeleSIPEvents_OnLineRegisterSuccessEventHandler(OnLineRegisterSuccess);
	    m_objVaxTeleCOM.OnIncomingCallFromLine += new _IVaxTeleSIPEvents_OnIncomingCallFromLineEventHandler(OnIncomingCallFromLine);
	    m_objVaxTeleCOM.OnIncomingCallFromUser += new _IVaxTeleSIPEvents_OnIncomingCallFromUserEventHandler(OnIncomingCallFromUser);
	    m_objVaxTeleCOM.OnIncomingCallAnonymous += new _IVaxTeleSIPEvents_OnIncomingCallAnonymousEventHandler(OnIncomingCallAnonymous);
	    m_objVaxTeleCOM.OnIncomingCallCancel += new _IVaxTeleSIPEvents_OnIncomingCallCancelEventHandler(OnIncomingCallCancel);
	    m_objVaxTeleCOM.OnDialCallConnected += new _IVaxTeleSIPEvents_OnDialCallConnectedEventHandler(OnDialCallConnected);
	    m_objVaxTeleCOM.OnAcceptIncomingCallConnected += new _IVaxTeleSIPEvents_OnAcceptIncomingCallConnectedEventHandler(OnAcceptIncomingCallConnected);
	    m_objVaxTeleCOM.OnDisconnectCall += new _IVaxTeleSIPEvents_OnDisconnectCallEventHandler(OnDisconnectCall);
	    m_objVaxTeleCOM.OnProvisionalResponse += new _IVaxTeleSIPEvents_OnProvisionalResponseEventHandler(OnProvisionalResponse);
	    m_objVaxTeleCOM.OnFailureResponse += new _IVaxTeleSIPEvents_OnFailureResponseEventHandler(OnFailureResponse);
	    m_objVaxTeleCOM.OnRedirectionResponse += new _IVaxTeleSIPEvents_OnRedirectionResponseEventHandler(OnRedirectionResponse);
	    m_objVaxTeleCOM.OnPlayWaveToSessionDone += new _IVaxTeleSIPEvents_OnPlayWaveToSessionDoneEventHandler(OnPlayWaveToSessionDone);
	    m_objVaxTeleCOM.OnDigitDetectDTMF += new _IVaxTeleSIPEvents_OnDigitDetectDTMFEventHandler(OnDigitDetectDTMF);
	    m_objVaxTeleCOM.OnSessionLost += new _IVaxTeleSIPEvents_OnSessionLostEventHandler(OnSessionLost);
	    m_objVaxTeleCOM.OnTransferCallBlind += new _IVaxTeleSIPEvents_OnTransferCallBlindEventHandler(OnTransferCallBlind);
	    m_objVaxTeleCOM.OnTransferCallAttend += new _IVaxTeleSIPEvents_OnTransferCallAttendEventHandler(OnTransferCallAttend);
	    m_objVaxTeleCOM.OnHoldCall += new _IVaxTeleSIPEvents_OnHoldCallEventHandler(OnHoldCall);
	    m_objVaxTeleCOM.OffHoldCall += new _IVaxTeleSIPEvents_OffHoldCallEventHandler(OffHoldCall);
	    
        m_objVaxTeleCOM.OnDialCallTimeOut += new _IVaxTeleSIPEvents_OnDialCallTimeOutEventHandler(OnDialCallTimeOut);
        m_objVaxTeleCOM.OnAcceptCallTimeOut += new _IVaxTeleSIPEvents_OnAcceptCallTimeOutEventHandler(OnAcceptCallTimeOut);

        m_objVaxTeleCOM.OnLineUnRegisterTrying += new _IVaxTeleSIPEvents_OnLineUnRegisterTryingEventHandler(OnLineUnRegisterTrying);
        m_objVaxTeleCOM.OnLineUnRegisterFail += new _IVaxTeleSIPEvents_OnLineUnRegisterFailEventHandler(OnLineUnRegisterFail);
        m_objVaxTeleCOM.OnLineUnRegisterSuccess += new _IVaxTeleSIPEvents_OnLineUnRegisterSuccessEventHandler(OnLineUnRegisterSuccess);

        m_objVaxTeleCOM.OnVaxTeleTick += new _IVaxTeleSIPEvents_OnVaxTeleTickEventHandler(OnVaxTeleTick);
    }

    public void SetLicenseKey(string sLicenseKey)
    {
        m_objVaxTeleCOM.SetLicenseKey(sLicenseKey);
    }
    
    public void UnInitialize()
    {
        m_objVaxTeleCOM.UnInitialize();
    }
    
    public Boolean Initialize(string sDomainRealm, string sSIPListenIP, int nSIPListenPort, string sRTPListenIP, int nRTPListenPort)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.Initialize(sDomainRealm, sSIPListenIP, nSIPListenPort, sRTPListenIP, nRTPListenPort));
    }

    public Boolean AcceptCall(int nCallId, string sCodecList, int nTimeOut)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.AcceptCall(nCallId, sCodecList, nTimeOut));
    }

    public Boolean CloseCall(int nCallId)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.CloseCall(nCallId));
    }

    public int CreateSession()
    {
       return m_objVaxTeleCOM.CreateSession();
    }

    public Boolean AddCallToSession(int nCallId, int nSessionId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.AddCallToSession(nCallId, nSessionId));
    }

    public Boolean RemoveCallToSession(int nCallId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.RemoveCallToSession(nCallId));
    }

    public void CloseSession(int nSessionId)
    {
	    m_objVaxTeleCOM.CloseSession(nSessionId);
    }
    
    public int GetVaxObjectError()
    {
	    return m_objVaxTeleCOM.GetVaxObjectError();
    }

    public int DialCallToUser(string sCallFrom, string sToUserLogin, string sCodecList, int nTimeOut)
    {
	    return m_objVaxTeleCOM.DialCallToUser(sCallFrom, sToUserLogin, sCodecList, nTimeOut);
    }

    public int DialCallToLine(int nLineId, string sDialNo, string sCodecList, int nTimeOut)
    {
        return m_objVaxTeleCOM.DialCallToLine(nLineId, sDialNo, sCodecList, nTimeOut);
    }

    public int DialCallToURI(string sFromURI, string sToURI, string sProxyURI, string sLogin, string sLoginPwd, string sCodecList, int nTimeOut)
    {
	    return m_objVaxTeleCOM.DialCallToURI(sFromURI, sToURI, sProxyURI, sLogin, sLoginPwd, sCodecList, nTimeOut);
    }
	
    public Boolean SendResponse(int nCallId, int nStatusCode, string sReasonPhrase, string sCodecList)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.SendResponse(nCallId, nStatusCode, sReasonPhrase, sCodecList));
    }

    public Boolean RegisterLine(int nLineId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.RegisterLine(nLineId));
    }

    public Boolean UnRegisterLine(int nLineId)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.UnRegisterLine(nLineId));
    }

    public Boolean AddLine(int nLineId, string sUserName, string sLogin, string sLoginPwd, string sDisplayName, string sDomainRealm, string sProxyURI, string sOutboundProxy)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.AddLine(nLineId, sUserName, sLogin, sLoginPwd, sDisplayName, sDomainRealm, sProxyURI, sOutboundProxy));
    }

    public void RemoveLine(int nLineId)
    {
	    m_objVaxTeleCOM.RemoveLine(nLineId);
    }
        
    public Boolean AddUser(string sUserLogin, string sLoginPwd)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.AddUser(sUserLogin, sLoginPwd));
    }

    public void RemoveUser(string sUserLogin)
    {
	    m_objVaxTeleCOM.RemoveUser(sUserLogin);
    }
        
    public Boolean AuthClientRegister(int nRegId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.AuthClientRegister(nRegId));
    }

    public Boolean AcceptClientRegister(int nRegId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.AcceptClientRegister(nRegId));
    }

    public Boolean RejectClientRegister(int nRegId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.RejectClientRegister(nRegId));
    }

    public int PlayWaveLoadFile(string sFileName)
    {
	    return m_objVaxTeleCOM.PlayWaveLoadFile(sFileName);
    }

    public void PlayWaveUnLoadFile(int nPlayWaveId)
    {
	    m_objVaxTeleCOM.PlayWaveUnLoadFile(nPlayWaveId);
    }

    public Boolean PlayWaveStartToSession(int nPlayWaveId, int nSessionId, Boolean bLoopPlay)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.PlayWaveStartToSession(nPlayWaveId, nSessionId, Convert.ToInt16(bLoopPlay)));
    }

    public Boolean PlayWaveStopToSession(int nSessionId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.PlayWaveStopToSession(nSessionId));
    }

    public Boolean PlayWaveResetToSession(int nSessionId)
    {   	
	    return Convert.ToBoolean(m_objVaxTeleCOM.PlayWaveResetToSession(nSessionId));
    }

    public Boolean RecordWaveStartToSession(string sFileName, int nSessionId)
    {	
	    return Convert.ToBoolean(m_objVaxTeleCOM.RecordWaveStartToSession(sFileName, nSessionId));
    }

    public Boolean RecordWaveStopToSession(int nSessionId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.RecordWaveStopToSession(nSessionId));
    }

    public Boolean RecordWavePauseToSession(Boolean bEnable, int nSessionId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.RecordWavePauseToSession(Convert.ToInt32(bEnable), nSessionId));
    }

    public Boolean TransferCallAccept(int nCallId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.TransferCallAccept(nCallId));
    }

    public Boolean TransferCallReject(int nCallId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.TransferCallReject(nCallId));
    }

    public Boolean SendDTMF(int nTypeDTMF, int nCallId, int nDigit)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.SendDTMF(nTypeDTMF, nCallId, nDigit));
    }

    public Boolean DetectDTMF(int nTypeDTMF, int nSessionId, Boolean bEnable)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.DetectDTMF(nTypeDTMF, nSessionId, Convert.ToInt32(bEnable)));
    }
        
    public Boolean SessionLost(Boolean bEnable)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.SessionLost(Convert.ToInt32(bEnable)));
    }

    int GetCallSession(int nCallId)
    {
	    return m_objVaxTeleCOM.GetCallSession(nCallId);
    }

    public Boolean EnableDialTone(int nCallId, int nSessionId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.EnableDialTone(nCallId, nSessionId));
    }

    public Boolean DisableDialTone(int nCallId)
    {
	    return Convert.ToBoolean(m_objVaxTeleCOM.DisableDialTone(nCallId));
    }

    public Boolean SetVaxTeleTick(int nTickId, int nElapse)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.SetVaxTeleTick(nTickId, nElapse));
    }

    public Boolean KillVaxTeleTick(int nTickId)
    {
        return Convert.ToBoolean(m_objVaxTeleCOM.KillVaxTeleTick(nTickId));
    }

    void OnClientUnRegister(string sUserLogin) 
    {
        cServerSIP.m_objServerSIP.OnClientUnRegister(sUserLogin);
    }

    void OnClientRegister(string sUserLogin, string sDomain, int nRegId) 
    {
        cServerSIP.m_objServerSIP.OnClientRegister(sUserLogin, sDomain, nRegId);
    }

    void OnClientRegisterSuccess(string sUserLogin) 
    {
        cServerSIP.m_objServerSIP.OnClientRegisterSuccess(sUserLogin);
    }

    void OnClientRegisterFail(string sUserLogin) 
    {
        cServerSIP.m_objServerSIP.OnClientRegisterFail(sUserLogin);
    }

    void OnLineRegisterTrying(int nLineId) 
    {
        cServerSIP.m_objServerSIP.OnLineRegisterTrying(nLineId);
    }

    void OnLineRegisterFail(int nLineId, int nStatusCode, string sReasonPhrase) 
    {
        cServerSIP.m_objServerSIP.OnLineRegisterFail(nLineId, nStatusCode, sReasonPhrase);
    }

    void OnLineRegisterSuccess(int nLineId) 
    {
        cServerSIP.m_objServerSIP.OnLineRegisterSuccess(nLineId);
    }

    void OnIncomingCallFromLine(int nCallId, int nLineId, string sCallFrom, string sCallTo, string sFromURI, string sToURI, string sFromIP, int nFromPort) 
    {
        cServerSIP.m_objServerSIP.OnIncomingCallFromLine(nCallId, nLineId, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort);
    }

    void OnIncomingCallFromUser(int nCallId, string sUserName, string sCallFrom, string sCallTo, string sFromURI, string sToURI, string sFromIP, int nFromPort) 
    {
        cServerSIP.m_objServerSIP.OnIncomingCallFromUser(nCallId, sUserName, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort);
    }

    void OnIncomingCallAnonymous(int nCallId, string sCallFrom, string sCallTo, string sFromURI, string sToURI, string sFromIP, int nFromPort) 
    {
        cServerSIP.m_objServerSIP.OnIncomingCallAnonymous(nCallId, sCallFrom, sCallTo, sFromURI, sToURI, sFromIP, nFromPort);
    }

    void OnIncomingCallCancel(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OnIncomingCallCancel(nCallId);
    }

    void OnDialCallConnected(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OnDialCallConnected(nCallId);
    }

    void OnAcceptIncomingCallConnected(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OnAcceptIncomingCallConnected(nCallId);
    }

    void OnDisconnectCall(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OnDisconnectCall(nCallId);
    }

    void OnSessionLost(int nCallId)
    {
        cServerSIP.m_objServerSIP.OnSessionLost(nCallId);
    }

    void OnDialCallTimeOut(int nCallId)
    {
        cServerSIP.m_objServerSIP.OnDialCallTimeOut(nCallId);
    }

    void OnAcceptCallTimeOut(int nCallId)
    {
        cServerSIP.m_objServerSIP.OnAcceptCallTimeOut(nCallId);
    }

    void OnProvisionalResponse(int nCallId, int nStatusCode, string sReasonPhrase) 
    {
        cServerSIP.m_objServerSIP.OnProvisionalResponse(nCallId, nStatusCode, sReasonPhrase);
    }

    void OnFailureResponse(int nCallId, int nStatusCode, string sReasonPhrase) 
    {
        cServerSIP.m_objServerSIP.OnFailureResponse(nCallId, nStatusCode, sReasonPhrase);
    }

    void OnRedirectionResponse(int nCallId, int nStatusCode, string sReasonPhrase, string sContact) 
    {
        cServerSIP.m_objServerSIP.OnRedirectionResponse(nCallId, nStatusCode, sReasonPhrase, sContact);
    }

    void OnPlayWaveToSessionDone(int nPlayWaveId, int nSessionId) 
    {
        cServerSIP.m_objServerSIP.OnPlayWaveToSessionDone(nPlayWaveId, nSessionId);
    }

    void OnDigitDetectDTMF(int nSessionId, int nCallId, int nDigit) 
    {
        cServerSIP.m_objServerSIP.OnDigitDetectDTMF(nSessionId, nCallId, nDigit);
    }
        
    void OnTransferCallBlind(int nCallId, string sTransferee, string sTransferTo, string sTransferToURI) 
    {
        cServerSIP.m_objServerSIP.OnTransferCallBlind(nCallId, sTransferee, sTransferTo, sTransferToURI);
    }

    void OnTransferCallAttend(int nCallId, int nTransferToCallId) 
    {
        cServerSIP.m_objServerSIP.OnTransferCallAttend(nCallId, nTransferToCallId);
    }

    void OnHoldCall(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OnHoldCall(nCallId);
    }

    void OffHoldCall(int nCallId) 
    {
        cServerSIP.m_objServerSIP.OffHoldCall(nCallId);
    }
        
    void OnVaxTeleTick(int nTickId) 
    {
        cServerSIP.m_objServerSIP.OnVaxTeleTick(nTickId);
    }

    void OnLineUnRegisterTrying(int nLineId)
    {
        cServerSIP.m_objServerSIP.OnLineUnRegisterTrying(nLineId);
    }

    void OnLineUnRegisterFail(int nLineId, int nStatusCode, string sReasonPhrase)
    {
        cServerSIP.m_objServerSIP.OnLineUnRegisterFail(nLineId, nStatusCode, sReasonPhrase);
    }

    void OnLineUnRegisterSuccess(int nLineId)
    {
        cServerSIP.m_objServerSIP.OnLineUnRegisterSuccess(nLineId);
    }
}

